Four Stars

Import org.apache.camel cannot be resolved, problem with newly installed 6.4 studio?

Coming from 6.3.1 I am trying to upgrade to 6.4.

In my imported (now 6.4) project, I have some beans which use the following import:
import org.apache.camel.RoutingSlip;

Whatever I try or do, I keep getting this error:
The import org.apache.camel cannot be resolved

I have the feeling I am missing something very simple here, it cannot be that I will have to add an additional module or external jar for camel, since camel is kind of the basis of each talend route right?

 

17-5: I managed to fixed it by adding the camel-core-2.17.3.jar  to the bean Libraries, but I feel that this should not be needed?


Thanks for helping me out.
Dennis

2 REPLIES
Moderator

Re: Import org.apache.camel cannot be resolved, problem with newly installed 6.4 studio?

Hi,

Did you set the classpath through 'Edit Bean Libraries' context menu?

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Four Stars

Re: Import org.apache.camel cannot be resolved, problem with newly installed 6.4 studio?

Hi Sabrina,

 

I have no way to set the classpath via the context menu as far as I know.

All I did was importing the jar to the "Edit Bean Libraries" after which it worked.

In the end this probably has something to do with the jar not being found within the active classpath(s), but I don't where this classpath should be set, and what value it should have.


Regards
Dennis